# Price a name to buy through Rivier. Nothing is bought

`POST /hosting/sites/{id}/domains/quote` · Rivier · hosting

Price a name to buy through Rivier. Nothing is bought.

- Scope: hosting:read
- Mcp: rivier_hosting_domain_quote
- Graphql: Query.hostingDomainQuote
- Sdk: hosting.domain.quote
- Cli: hosting domain quote

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 4,
      "maxLength": 253
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/hosting/sites/{id}/domains/quote' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
```
